import { JavaProject, JavaProjectOptions } from "projen/lib/java";
import { GeneratedJavaRuntimeProject } from "../../runtime/generated-java-runtime-project";
export interface GeneratedJavaCdkInfrastructureProjectOptions extends JavaProjectOptions {
    /**
     * OpenAPI spec path, relative to the project outdir
     */
    readonly specPath: string;
    /**
     * The generated java types
     */
    readonly generatedJavaTypes: GeneratedJavaRuntimeProject;
}
export declare class GeneratedJavaCdkInfrastructureProject extends JavaProject {
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    /**
     * The generated java types
     * @private
     */
    private readonly generatedJavaTypes;
    constructor(options: GeneratedJavaCdkInfrastructureProjectOptions);
    buildGenerateCommand: () => import("../../components/utils").CommandDetails;
}
