import { NpmConfig } from "projen/lib/javascript";
import { TypeScriptProject, TypeScriptProjectOptions } from "projen/lib/typescript";
/**
 * Configuration for the generated typescript client project
 */
export interface GeneratedTypescriptTypesProjectOptions extends TypeScriptProjectOptions {
    /**
     * The path to the OpenAPI specification, relative to this project's outdir
     */
    readonly specPath: string;
    /**
     * Whether this project is parented by an nx-monorepo or not
     */
    readonly isWithinMonorepo?: boolean;
}
/**
 * Typescript project containing types generated using OpenAPI Generator CLI
 */
export declare class GeneratedTypescriptRuntimeProject extends TypeScriptProject {
    /**
     * Patterns that are excluded from code generation
     */
    static openApiIgnorePatterns: string[];
    /**
     * A reference to the npm config (generated for PNPM projects)
     */
    readonly npmConfig?: NpmConfig;
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    constructor(options: GeneratedTypescriptTypesProjectOptions);
    buildGenerateCommand: () => import("../components/utils").CommandDetails;
}
